pax-utils_0.2.3-2_amd64.deb


Advertisement

Description

pax-utils - Security-focused ELF files checking tool

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: pax-utils
Package version: 0.2.3
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 253 B
Download size: 99.26 KB
Official Mirror: ftp.br.debian.org
This is a small set of various PaX aware and related utilities for ELF binaries. It can check ELF binary files and running processes for issues that might be relevant when using ELF binaries along with PaX, such as non-PIC code or executable stack and heap.

Alternatives

    Download

    Source package: pax-utils

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install pax-utils deb package:
      # sudo apt-get install pax-utils

    Files

    • /usr/bin/dumpelf
    • /usr/bin/lddtree
    • /usr/bin/pspax
    • /usr/bin/scanelf
    • /usr/bin/scanmacho
    • /usr/bin/symtree
    • /usr/share/doc/pax-utils/BUGS
    • /usr/share/doc/pax-utils/README
    • /usr/share/doc/pax-utils/TODO
    • /usr/share/doc/pax-utils/changelog.Debian.gz
    • /usr/share/doc/pax-utils/copyright
    • /usr/share/man/man1/dumpelf.1.gz
    • /usr/share/man/man1/pspax.1.gz
    • /usr/share/man/man1/scanelf.1.gz
    • /usr/share/man/man1/scanmacho.1.gz

    Changelog

    2011-10-08 - Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr> pax-utils (0.2.3-2) unstable; urgency=low * debian/rules: - don't disable tests. - switch to dpkg-dev 1.16.1 hardening flags support * debian/control: - add build-dep on python, needed for running test suite. - drop hardening-includes build-dep, add build-dep on dpkg-dev (>= 1.16.1) and update debhelper build-dep for compat mode 9. * debian/compat bumped to 9. * debian/patches: - 01_fix-endianness-hurd added, fix include leading to endianness problems on hurd-i386. Thanks Pino Toscano! closes: #644607

    2011-10-06 - Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr> pax-utils (0.2.3-1) unstable; urgency=low * New upstream release. * debian/watch updated to track .xz tarballs.

    2011-08-03 - Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr> pax-utils (0.2.2-2) unstable; urgency=low * debian/control: - replace chpax by paxctl in suggests. - use linux-any in libcap-dev build-dep. closes: #634786 - update standards version to 3.9.2.

    2011-02-20 - Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr> pax-utils (0.2.2-1) unstable; urgency=low * New upstream release. closes: #605375 * Adopt the package, thanks Rémi for the previous work. closes: #600958 * debian/control: - update debhelper build-dep to 7.0.50~ (for overrides). - update standards version to 3.9.1. - drop cdbs build-dep. * debian/compat bumped to 7. * Switch to 3.0 (quilt) source format. * debian/rules: - switch to dh7 tiny rules. - pick {C,LD}FLAGS from dpkg-buildflags. - add hardening flags to {C,LD}FLAGS. - add --as-needed, -O1 and -z,defs to LDFLAGS. - override dh_auto_test since there's no tests available. - override dh_auto_clean which will call distclean first and remove the manpages. * debian/watch updated to the new upstream repository.

    2008-08-02 - Rémi Denis-Courmont <rdenis@simphalempin.com> pax-utils (0.1.16-2) unstable; urgency=low * Switch to libcap2-dev. * Update standards version to 3.8.0.

    2007-10-17 - Rémi Denis-Courmont <rdenis@simphalempin.com> pax-utils (0.1.16-1) unstable; urgency=low * New upstream version. * Added Homepage debian/control header.

    2007-06-03 - Rémi Denis-Courmont <rdenis@simphalempin.com> pax-utils (0.1.15-2) unstable; urgency=low * Added XS-Vcs-Svn field. * Update standards version to 3.7.2.2.

    2006-12-13 - Rémi Denis-Courmont <rdenis@simphalempin.com> pax-utils (0.1.15-1) unstable; urgency=low * New upstream version: - no non-DFSG content anymore, - _GNU_SOURCE fix no longer needed.

    2006-10-06 - Rémi Denis-Courmont <rdenis@simphalempin.com> pax-utils (0.1.13.dfsg.1-2) unstable; urgency=low * Don't build-depends on libcap-dev on Hurd and kFreeBSD.

    2006-09-19 - Rémi Denis-Courmont <rdenis@simphalempin.com> pax-utils (0.1.13.dfsg.1-1) unstable; urgency=low * Initial Debian package (Closes: #388200). * Remove original macho.h with Apple copyright but no license.

    Advertisement
    Advertisement